levelw = 39
levelh = 37

-- create a new level and set some general options
create_world(levelw, levelh)
fill_floor("fl-hay", 0,0, levelw,levelh)
fill_floor("fl-leaves", 5,5, 8,8)
draw_border("st-brownie")

for x=1,12 do
    set_floor("fl-gradient", 10+x, 22, {type=x})
    set_floor("fl-gradient", 10+x, 24, {type=12+x})
    set_floor("fl-gradient", 10+x, 26, {type=23})
end

set_stone("st-bolder", 2,2, {direction=EAST})
set_stone("st-bolder", 2,3, {direction=SOUTH})
set_stone("st-bolder", 2,4, {direction=NORTH})
set_stone("st-bolder", 3,2, {direction=WEST})
set_stone("st-bolder", 3,3, {direction=EAST})
set_item("it-spring1", 2,5);

draw_stones("st-bombs",	  {5,5}, {1,1},  3)
draw_stones("st-brownie", {11,11},{1,-1}, 3)
draw_stones("st-rock2",   {2,6}, {1,-1}, 3)

fill_floor("fl-inverse", 25,1, 10,10)

set_stone("st-thief", 15,16)

set_stone("st-key_a", 15, 18, {action=idle})

oxyd(10,3)
oxyd(11,3)
oxyd(2,4)
oxyd(12,20)
oxyd_shuffle()

puzzle(24,20,PUZ_0000)
puzzle(25,20,PUZ_1100)
puzzle(26,19,PUZ_0110)
puzzle(27,18,PUZ_0011)
puzzle(28,20,PUZ_1001)
puzzle(29,20,PUZ_1101)
set_item("it-spring1", 25,14)

set_stone("st-door", 14, 10 , {name="door", type="v"})


--shogundot1(14,10, {target="door", action="openclose"})
--set_stone("st-shogun", 22,16, {holes=7})
draw_stones("st-glass", {30, 10}, {0,1},20)
laser(22,16, TRUE,EAST)

fakeoxyd(12,3)
fakeoxyd(13,3)
fakeoxyd(5,12)

set_stone("st-wood", 23,7)
set_floor("fl-water", 25, 10)
set_floor("fl-abyss", 25, 9)
set_stone("st-oneway", 5,11, {orientation=enigma.WEST})


draw_items("it-umbrella", {3,3}, {1,0}, 10)
hammer(9,3)
set_item("it-blackbomb",9,4)

dynamite(9,5)
dynamite(10,5)
dynamite(11,5)
dynamite(12,5)
dynamite(13,5)
dynamite(9,6)
dynamite(10,6)
dynamite(11,6)
dynamite(12,6)
dynamite(13,6)

set_floor("fl-bridge", 20,8, {name="bridge", type="y"})
set_item("it-trigger", 20,9, {target="bridge", action="openclose"})

set_item("it-extralife",9,6)
set_item("it-spring1",9,7)


set_stone("st-coinslot", 10,10, {action="openclose", target="door"})
set_item("it-coin", 11,11,{value=4})
set_item("it-coin", 11,12,{value=4})
set_item("it-coin", 11,13,{value=4})


set_actor("ac-blackball", 14,6, {player=0})
--set_actor("ac-blackball", 5,7, {mouseforce=FALSE})

set_stones("st-grate1", {{15,5},{10,6},{10,7},{10,8}})
set_stone("st-swap", 10,1)

